System.ServiceModel 4.0.0.0 System.Object

Security token parameters provide information about the tokens (for example, token type, issuer, and so on) required by the security binding element.

The security token parameter classes derived from this one are a collection of token properties and methods, and are used in creating different kinds of security binding elements and tokens. Not all of the properties are relevant to all derived classes. For example, the has no relevance in an issued token (SAML token) case.

Specifies an abstract class that when implemented represents security token parameters.

- Constructor
  4.0.0.0

  The new instance property values are set to their defaults:

  is set to .

  is set to .

  is set to true.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  The new instance property values are set to the corresponding values in .

  Initializes a new instance of the class from another instance.

  The other instance of this class.
- Method
  4.0.0.0
  System.ServiceModel.Security.Tokens.SecurityTokenParameters

  The and methods follow the Core design pattern. In that pattern, this method performs some validation and then calls , which is an abstract method that is overridden in derived classes to perform the core functionality.

  Clones another instance of this instance of the class.

  A copy of instance.

- Method
  4.0.0.0
  System.ServiceModel.Security.Tokens.SecurityTokenParameters

  The and methods follow the Core design pattern. is an abstract method that is overridden in derived classes.

  Clones another instance of this instance of the class.

  A instance that represents the copy.

- Method
  4.0.0.0
  System.IdentityModel.Tokens.SecurityKeyIdentifierClause `` ``

  This method must be implemented in a derived class.

  Creates a key identifier clause for a token.

  The key identifier clause for a token.

  The token. The reference style of the security token.
- Property
  4.0.0.0
  System.Boolean To be added.

  Asymmetric keys are used in public-key cryptography, which uses two keys, a public key and a private key, which are related mathematically. The public key is distributed widely, but the private key is kept secret. In public-key cryptography, there is no need to exchange a common key.

  When overridden in a derived class, gets a value that indicates whether the token has an asymmetric key.

- Property
  4.0.0.0
  System.ServiceModel.Security.Tokens.SecurityTokenInclusionMode To be added.

  The token inclusion requirements specify whether the token needs to be serialized as part of the request and response.

  The enumeration has the following values:

  Gets or sets the token inclusion requirements.

- Method
  4.0.0.0
  System.Void ``

  The token requirement is provided as input to the security token manager to obtain a security token provider or security token authenticator for the token.

  When overridden in a derived class, initializes a security token requirement.

  The requirement of the security token.
- Method
  4.0.0.0
  System.Boolean `` `` `` To be added.

  Indicates whether a token matches a key identifier clause.

  true if the token matches the key identifier clause; otherwise, false.

  The security token. The specified key identifier clause. The reference style of the security token.
- Property
  4.0.0.0
  System.ServiceModel.Security.Tokens.SecurityTokenReferenceStyle To be added.

  The token reference style specifies how to refer to the token in the SOAP message.

  This property returns a member of an enumeration that sets the desired referencing style that is used to generate security token references (STR) to the security tokens from the signature and encryption elements in the message.

  Gets or sets the token reference style.

- Property
  4.0.0.0
  System.Boolean To be added.

  indigo2 needs to derive keys from the token's key when performing signature and encryption using the token.

  Derived keys originate in Secure Conversations where there is a shared security context so that the same security can be applied across all messages in the conversation. A security context token involves a shared secret, which is used for message signing and encryption. The shared secret is used to create derived keys. To maintain a high level of security through a lengthy conversation, new derived keys can be created periodically.

  Gets or sets a value that indicates whether keys can be derived from the original proof keys.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  When overridden in a derived class, gets a value that indicates whether the token supports client authentication.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  When overridden in a derived class, gets a value that indicates whether the token supports a Windows identity for authentication.

- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  When overridden in a derived class, gets a value that indicates whether the token supports server authentication.

- Method
  4.0.0.0
  System.String

  The method displays the name of this class, , , and .

  Displays a text representation of this instance of the class.

  A text representation of this instance of the class.